com.gisgraphy.importer

## Class GeonamesAlternateNamesAdmImporter

- java.lang.Object
- - com.gisgraphy.importer.AbstractSimpleImporterProcessor
  - - com.gisgraphy.importer.GeonamesAlternateNamesSimpleImporter
    - - com.gisgraphy.importer.GeonamesAlternateNamesAdmImporter

- All Implemented Interfaces:
    IImporterProcessor

      public class GeonamesAlternateNamesAdmImporter
      extends GeonamesAlternateNamesSimpleImporter

  Import the Alternate names.
  Author:
    David Masclet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger`

    - ### Fields inherited from class com.gisgraphy.importer.GeonamesAlternateNamesSimpleImporter

      `admDao, alternateNameDao, cityDao, gisFeatureDao, solRSynchroniser, spellCheckerIndexer`

    - ### Fields inherited from class com.gisgraphy.importer.AbstractSimpleImporterProcessor

      `COMMENT_START, currentFile, importerConfig, in, internationalisationService, readFileLine, status, statusMessage, totalReadLine, transactionManager, txDefinition, txStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeonamesAlternateNamesAdmImporter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected File[]` | `getFiles()`

    - ### Methods inherited from class com.gisgraphy.importer.GeonamesAlternateNamesSimpleImporter

      `flushAndClear, getNumberOfColumns, processData, rollback, setAdmDao, setAlternateNameDao, setCityDao, setCommitFlushMode, setGisFeatureDao, setSolRSynchroniser, setSpellCheckerIndexer, shouldBeSkipped, shouldIgnoreComments, shouldIgnoreFirstLine, tearDown`

    - ### Methods inherited from class com.gisgraphy.importer.AbstractSimpleImporterProcessor

      `checkNumberOfColumn, commit, countLines, decrementReadedFileLine, dumpFields, getCurrentFileName, getMaxInsertsBeforeFlush, getNumberOfLinesToProcess, getReadFileLine, getStatus, getStatusMessage, getTotalReadLine, incrementReadedFileLine, isEmptyField, isEndOfDocument, needCommit, onFileProcessed, process, processError, readLineAndProcessData, resetStatus, rollbackTransaction, setImporterConfig, setInternationalisationService, setTransactionManager, setup, startTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

  - ### Constructor Detail

    - #### GeonamesAlternateNamesAdmImporter

          public GeonamesAlternateNamesAdmImporter()

  - ### Method Detail

    - #### getFiles

          protected File[] getFiles()

      Overrides:
        `getFiles` in class `GeonamesAlternateNamesSimpleImporter`
      Returns:
        The files to be process
      See Also:
        `ImporterHelper`

Copyright © 2015. All rights reserved.